aboutsummaryrefslogtreecommitdiff
path: root/driver/test/test.sh
diff options
context:
space:
mode:
authorlonkaars <loek@pipeframe.xyz>2024-05-12 15:21:19 +0200
committerlonkaars <loek@pipeframe.xyz>2024-05-12 15:21:19 +0200
commit891595b9307eb2695411d8e32e4addd9cd927ec8 (patch)
treeb24c323ad3e09f05ca75386ac8fef38a6fff3e74 /driver/test/test.sh
parent6926a88695ce2e9fca51e01a1bf6fded3e4cbcca (diff)
rename folders
Diffstat (limited to 'driver/test/test.sh')
-rwxr-xr-xdriver/test/test.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/driver/test/test.sh b/driver/test/test.sh
new file mode 100755
index 0000000..7dba005
--- /dev/null
+++ b/driver/test/test.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+if [ $(id -u) -ne 0 ] ; then
+ echo "run me as root!" >&2
+ exit 1
+fi
+
+if [ $# -eq 0 ] ; then
+ echo "usage: $0 /dev/lork" >&2
+ exit 1
+fi
+
+DEV="$1"
+INPUT="test"
+
+echo "input \"$INPUT\" to $DEV" >&2
+echo "$INPUT" > "$DEV"
+echo "(EC $?)" >&2
+
+echo "output from $DEV:" >&2
+cat "$DEV"
+echo "(EC $?)" >&2
+
+exit 0